Bug 55386 - exiting emacs SOMETIMES leaves terminal settings in bad state
exiting emacs SOMETIMES leaves terminal settings in bad state
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-10-30 12:29 EST by Bishop Clark
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-30 12:29:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bishop Clark 2001-10-30 12:29:48 EST
Description of Problem:
After SOME emacs sessions are exited, the terminal may be in a bad state.  
While the program functions normally, with no ill effects, after leaving 
the program, the terminal may have poor settings for ^D, ^C, ^H, ^J and may 
no longer echo command line entry to the screen.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. rlogin to system.  The problem happens more often with rlogin, but 
terminal problems can occur with SSH.
2. run emacs.  Perform operations that mofidy large portions of the screen 
- rebuild an RPM, for instance, or seomthing else that clears the screen.
3. Exit emacs.  Terminal is now messed up.

Actual Results:
Misbehaving terminal, as described.

Expected Results:
Terminal settings similar to that of a fresh login

Additional Information:
This may be a terminal problem and not a setup problem.
Comment 1 Trond Eivind Glomsrxd 2001-11-05 16:08:46 EST
I use emacs extensively, and have never seen that... probably a terminal
problem. Reopen if you can provide a reprodusible testcase on a known-good
terminal (i.e. windows telnet doesn't count ;).
Comment 2 Bishop Clark 2001-11-05 16:12:45 EST
Hmm.  Can windows DO rlogin?  8-)  
Comment 3 Olivier Baudron 2001-11-24 21:37:08 EST
Same as Teg. I am addicted to emacs and I cannot reproduce this bug on my
rawhide linux box. But I have already seen this kind of bug in the past, caused
by a broken /bin/login.
Comment 4 Bishop Clark 2001-11-25 17:56:35 EST
I'll see if I can cook up a procedure guaranteed to set it off then.

Note You need to log in before you can comment on or make changes to this bug.